Subject: Re: [PATCH net v2 2/2] smsc911x: avoid PHY being resumed when interface is not up

From: Wolfram Sang <[email-masked]>
Date: Tue, 21 Mar 2023 18:56:25 +0100

Hi Paolo,

> > In smsc911x_mii_probe(), I remove the sanity check for 'phydev' because
> > it was already done in smsc911x_mii_init(). Let me know if this is
> > acceptable or if a more defensive approach is favoured.
> 
> Since this is a fix, I would keep the old check, too.

Yes, makes sense.

> > +	phydev = phy_find_first(pdata->mii_bus);
> > +	if (!phydev) {
> > +		netdev_err(dev, "no PHY found\n");
> > +		err = -ENOENT;
> > +		goto err_out_free_bus_2;
> 
> Why don't you call mdiobus_unregister() in this error path?

Oversight. I will fix it.

Thank you for the review!